Subject: bug#18891: Doesn't handle pwd = /C: very well

From: Michael Albinus <[email-masked]>
Date: Wed, 05 Nov 2014 20:56:06 +0100

Glenn Morris <[email-masked]> writes:

> PS this makes me think, what happens if the local file name happens to
> match a remote host that does exist...
>
> If as you say the design prefers remote hosts over local ones, that
> seems like a bad design to me.

Don't blame me, the design seems to be older than my liaison with Emacs
(ange-ftp.el is copyrighted since 1989; I've started with Emacs in
autumn 1990, IIRC).

You have the same problem with other file name handlers. If you work on
a file foo.gpg, epa-file-handler will be invoked just because of this
name. It doesn't matter, whether taht file is encrypted with gpg, or not.

Best regards, Michael.